<?php
header("content-type:text/html;charset=utf-8");
include "../hexin.php";
$msg=$_REQUEST["msg"];
$jxmsg=json_decode($_SESSION["msg"],true);
$sjc=strtotime(date("YmdHis"));
$ykxz=duqu("../shuoju/youke/".$ip.".txt");
if($msg=="")
{
echo "请输入内容！";
}
else if($zh=="706915803"&&empty(floor((($sjc-$ykxz)%(3600*24))%3600/60)))
{
echo "游客请在".(60-floor((($sjc-$ykxz)%(3600*24))%60))."秒后再试！";
}
else
{
if($jxmsg["msg"]=="艾特")
{
$data=post("http://".$ym."/cl/cl.php","zh=".$zh."&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"艾特","zhanghao"=>"".$jxmsg["zhanghao"]."","neirong"=>"".$msg.""),JSON_UNESCAPED_UNICODE)."");
}
else
{
$msg=str_replace(">","[大于]",$msg);
$msg=str_replace("<","[小于]",$msg);
$msg=str_replace(" ","[空格]",$msg);
$data=post("http://".$ym."/cl/cl.php","zh=".$zh."&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"文本","neirong"=>"".url($msg).""),JSON_UNESCAPED_UNICODE)."");
}
if($zh=="706915803")
{
file_put_contents("../shuoju/youke/".$ip.".txt",$sjc);
}
$_SESSION["msg"]="";
echo $data;
}
?>